IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/16
Addresses2^112
/64 networks2^48
- Network
fc76::/16- First address
fc76::- Last address
fc76:ffff:ffff:ffff:ffff:ffff:ffff:ffff- Addresses
- 5,192,296,858,534,827,628,530,496,329,220,096 (2^112)
- /64 networks (LANs)
- 281,474,976,710,656 (2^48)
- Full form
fc76:0000:0000:0000:0000:0000:0000:0000- Type
- Unique local (ULA) fc00::/7
Private IPv6, like RFC 1918; usually fd00::/8 - Reverse DNS zone
6.7.c.f.ip6.arpa
Split into smaller subnets
fc76::/16 makes 4,096 subnets of /28; the first 256 are listed.
| # | Subnet | Last address |
|---|---|---|
| 1 | fc76::/28 | fc76:f:ffff:ffff:ffff:ffff:ffff:ffff |
| 2 | fc76:10::/28 | fc76:1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 3 | fc76:20::/28 | fc76:2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 4 | fc76:30::/28 | fc76:3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 5 | fc76:40::/28 | fc76:4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 6 | fc76:50::/28 | fc76:5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 7 | fc76:60::/28 | fc76:6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 8 | fc76:70::/28 | fc76:7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 9 | fc76:80::/28 | fc76:8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 10 | fc76:90::/28 | fc76:9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 11 | fc76:a0::/28 | fc76:af:ffff:ffff:ffff:ffff:ffff:ffff |
| 12 | fc76:b0::/28 | fc76:bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 13 | fc76:c0::/28 | fc76:cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 14 | fc76:d0::/28 | fc76:df:ffff:ffff:ffff:ffff:ffff:ffff |
| 15 | fc76:e0::/28 | fc76:ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 16 | fc76:f0::/28 | fc76:ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 17 | fc76:100::/28 | fc76:10f:ffff:ffff:ffff:ffff:ffff:ffff |
| 18 | fc76:110::/28 | fc76:11f:ffff:ffff:ffff:ffff:ffff:ffff |
| 19 | fc76:120::/28 | fc76:12f:ffff:ffff:ffff:ffff:ffff:ffff |
| 20 | fc76:130::/28 | fc76:13f:ffff:ffff:ffff:ffff:ffff:ffff |
| 21 | fc76:140::/28 | fc76:14f:ffff:ffff:ffff:ffff:ffff:ffff |
| 22 | fc76:150::/28 | fc76:15f:ffff:ffff:ffff:ffff:ffff:ffff |
| 23 | fc76:160::/28 | fc76:16f:ffff:ffff:ffff:ffff:ffff:ffff |
| 24 | fc76:170::/28 | fc76:17f:ffff:ffff:ffff:ffff:ffff:ffff |
| 25 | fc76:180::/28 | fc76:18f:ffff:ffff:ffff:ffff:ffff:ffff |
| 26 | fc76:190::/28 | fc76:19f:ffff:ffff:ffff:ffff:ffff:ffff |
| 27 | fc76:1a0::/28 | fc76:1af:ffff:ffff:ffff:ffff:ffff:ffff |
| 28 | fc76:1b0::/28 | fc76:1bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 29 | fc76:1c0::/28 | fc76:1cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 30 | fc76:1d0::/28 | fc76:1df:ffff:ffff:ffff:ffff:ffff:ffff |
| 31 | fc76:1e0::/28 | fc76:1ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 32 | fc76:1f0::/28 | fc76:1ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 33 | fc76:200::/28 | fc76:20f:ffff:ffff:ffff:ffff:ffff:ffff |
| 34 | fc76:210::/28 | fc76:21f:ffff:ffff:ffff:ffff:ffff:ffff |
| 35 | fc76:220::/28 | fc76:22f:ffff:ffff:ffff:ffff:ffff:ffff |
| 36 | fc76:230::/28 | fc76:23f:ffff:ffff:ffff:ffff:ffff:ffff |
| 37 | fc76:240::/28 | fc76:24f:ffff:ffff:ffff:ffff:ffff:ffff |
| 38 | fc76:250::/28 | fc76:25f:ffff:ffff:ffff:ffff:ffff:ffff |
| 39 | fc76:260::/28 | fc76:26f:ffff:ffff:ffff:ffff:ffff:ffff |
| 40 | fc76:270::/28 | fc76:27f:ffff:ffff:ffff:ffff:ffff:ffff |
| 41 | fc76:280::/28 | fc76:28f:ffff:ffff:ffff:ffff:ffff:ffff |
| 42 | fc76:290::/28 | fc76:29f:ffff:ffff:ffff:ffff:ffff:ffff |
| 43 | fc76:2a0::/28 | fc76:2af:ffff:ffff:ffff:ffff:ffff:ffff |
| 44 | fc76:2b0::/28 | fc76:2bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 45 | fc76:2c0::/28 | fc76:2cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 46 | fc76:2d0::/28 | fc76:2df:ffff:ffff:ffff:ffff:ffff:ffff |
| 47 | fc76:2e0::/28 | fc76:2ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 48 | fc76:2f0::/28 | fc76:2ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 49 | fc76:300::/28 | fc76:30f:ffff:ffff:ffff:ffff:ffff:ffff |
| 50 | fc76:310::/28 | fc76:31f:ffff:ffff:ffff:ffff:ffff:ffff |
| 51 | fc76:320::/28 | fc76:32f:ffff:ffff:ffff:ffff:ffff:ffff |
| 52 | fc76:330::/28 | fc76:33f:ffff:ffff:ffff:ffff:ffff:ffff |
| 53 | fc76:340::/28 | fc76:34f:ffff:ffff:ffff:ffff:ffff:ffff |
| 54 | fc76:350::/28 | fc76:35f:ffff:ffff:ffff:ffff:ffff:ffff |
| 55 | fc76:360::/28 | fc76:36f:ffff:ffff:ffff:ffff:ffff:ffff |
| 56 | fc76:370::/28 | fc76:37f:ffff:ffff:ffff:ffff:ffff:ffff |
| 57 | fc76:380::/28 | fc76:38f:ffff:ffff:ffff:ffff:ffff:ffff |
| 58 | fc76:390::/28 | fc76:39f:ffff:ffff:ffff:ffff:ffff:ffff |
| 59 | fc76:3a0::/28 | fc76:3af:ffff:ffff:ffff:ffff:ffff:ffff |
| 60 | fc76:3b0::/28 | fc76:3bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 61 | fc76:3c0::/28 | fc76:3cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 62 | fc76:3d0::/28 | fc76:3df:ffff:ffff:ffff:ffff:ffff:ffff |
| 63 | fc76:3e0::/28 | fc76:3ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 64 | fc76:3f0::/28 | fc76:3ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 65 | fc76:400::/28 | fc76:40f:ffff:ffff:ffff:ffff:ffff:ffff |
| 66 | fc76:410::/28 | fc76:41f:ffff:ffff:ffff:ffff:ffff:ffff |
| 67 | fc76:420::/28 | fc76:42f:ffff:ffff:ffff:ffff:ffff:ffff |
| 68 | fc76:430::/28 | fc76:43f:ffff:ffff:ffff:ffff:ffff:ffff |
| 69 | fc76:440::/28 | fc76:44f:ffff:ffff:ffff:ffff:ffff:ffff |
| 70 | fc76:450::/28 | fc76:45f:ffff:ffff:ffff:ffff:ffff:ffff |
| 71 | fc76:460::/28 | fc76:46f:ffff:ffff:ffff:ffff:ffff:ffff |
| 72 | fc76:470::/28 | fc76:47f:ffff:ffff:ffff:ffff:ffff:ffff |
| 73 | fc76:480::/28 | fc76:48f:ffff:ffff:ffff:ffff:ffff:ffff |
| 74 | fc76:490::/28 | fc76:49f:ffff:ffff:ffff:ffff:ffff:ffff |
| 75 | fc76:4a0::/28 | fc76:4af:ffff:ffff:ffff:ffff:ffff:ffff |
| 76 | fc76:4b0::/28 | fc76:4bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 77 | fc76:4c0::/28 | fc76:4cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 78 | fc76:4d0::/28 | fc76:4df:ffff:ffff:ffff:ffff:ffff:ffff |
| 79 | fc76:4e0::/28 | fc76:4ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 80 | fc76:4f0::/28 | fc76:4ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 81 | fc76:500::/28 | fc76:50f:ffff:ffff:ffff:ffff:ffff:ffff |
| 82 | fc76:510::/28 | fc76:51f:ffff:ffff:ffff:ffff:ffff:ffff |
| 83 | fc76:520::/28 | fc76:52f:ffff:ffff:ffff:ffff:ffff:ffff |
| 84 | fc76:530::/28 | fc76:53f:ffff:ffff:ffff:ffff:ffff:ffff |
| 85 | fc76:540::/28 | fc76:54f:ffff:ffff:ffff:ffff:ffff:ffff |
| 86 | fc76:550::/28 | fc76:55f:ffff:ffff:ffff:ffff:ffff:ffff |
| 87 | fc76:560::/28 | fc76:56f:ffff:ffff:ffff:ffff:ffff:ffff |
| 88 | fc76:570::/28 | fc76:57f:ffff:ffff:ffff:ffff:ffff:ffff |
| 89 | fc76:580::/28 | fc76:58f:ffff:ffff:ffff:ffff:ffff:ffff |
| 90 | fc76:590::/28 | fc76:59f:ffff:ffff:ffff:ffff:ffff:ffff |
| 91 | fc76:5a0::/28 | fc76:5af:ffff:ffff:ffff:ffff:ffff:ffff |
| 92 | fc76:5b0::/28 | fc76:5bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 93 | fc76:5c0::/28 | fc76:5cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 94 | fc76:5d0::/28 | fc76:5df:ffff:ffff:ffff:ffff:ffff:ffff |
| 95 | fc76:5e0::/28 | fc76:5ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 96 | fc76:5f0::/28 | fc76:5ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 97 | fc76:600::/28 | fc76:60f:ffff:ffff:ffff:ffff:ffff:ffff |
| 98 | fc76:610::/28 | fc76:61f:ffff:ffff:ffff:ffff:ffff:ffff |
| 99 | fc76:620::/28 | fc76:62f:ffff:ffff:ffff:ffff:ffff:ffff |
| 100 | fc76:630::/28 | fc76:63f:ffff:ffff:ffff:ffff:ffff:ffff |
| 101 | fc76:640::/28 | fc76:64f:ffff:ffff:ffff:ffff:ffff:ffff |
| 102 | fc76:650::/28 | fc76:65f:ffff:ffff:ffff:ffff:ffff:ffff |
| 103 | fc76:660::/28 | fc76:66f:ffff:ffff:ffff:ffff:ffff:ffff |
| 104 | fc76:670::/28 | fc76:67f:ffff:ffff:ffff:ffff:ffff:ffff |
| 105 | fc76:680::/28 | fc76:68f:ffff:ffff:ffff:ffff:ffff:ffff |
| 106 | fc76:690::/28 | fc76:69f:ffff:ffff:ffff:ffff:ffff:ffff |
| 107 | fc76:6a0::/28 | fc76:6af:ffff:ffff:ffff:ffff:ffff:ffff |
| 108 | fc76:6b0::/28 | fc76:6bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 109 | fc76:6c0::/28 | fc76:6cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 110 | fc76:6d0::/28 | fc76:6df:ffff:ffff:ffff:ffff:ffff:ffff |
| 111 | fc76:6e0::/28 | fc76:6ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 112 | fc76:6f0::/28 | fc76:6ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 113 | fc76:700::/28 | fc76:70f:ffff:ffff:ffff:ffff:ffff:ffff |
| 114 | fc76:710::/28 | fc76:71f:ffff:ffff:ffff:ffff:ffff:ffff |
| 115 | fc76:720::/28 | fc76:72f:ffff:ffff:ffff:ffff:ffff:ffff |
| 116 | fc76:730::/28 | fc76:73f:ffff:ffff:ffff:ffff:ffff:ffff |
| 117 | fc76:740::/28 | fc76:74f:ffff:ffff:ffff:ffff:ffff:ffff |
| 118 | fc76:750::/28 | fc76:75f:ffff:ffff:ffff:ffff:ffff:ffff |
| 119 | fc76:760::/28 | fc76:76f:ffff:ffff:ffff:ffff:ffff:ffff |
| 120 | fc76:770::/28 | fc76:77f:ffff:ffff:ffff:ffff:ffff:ffff |
| 121 | fc76:780::/28 | fc76:78f:ffff:ffff:ffff:ffff:ffff:ffff |
| 122 | fc76:790::/28 | fc76:79f:ffff:ffff:ffff:ffff:ffff:ffff |
| 123 | fc76:7a0::/28 | fc76:7af:ffff:ffff:ffff:ffff:ffff:ffff |
| 124 | fc76:7b0::/28 | fc76:7bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 125 | fc76:7c0::/28 | fc76:7cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 126 | fc76:7d0::/28 | fc76:7df:ffff:ffff:ffff:ffff:ffff:ffff |
| 127 | fc76:7e0::/28 | fc76:7ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 128 | fc76:7f0::/28 | fc76:7ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 129 | fc76:800::/28 | fc76:80f:ffff:ffff:ffff:ffff:ffff:ffff |
| 130 | fc76:810::/28 | fc76:81f:ffff:ffff:ffff:ffff:ffff:ffff |
| 131 | fc76:820::/28 | fc76:82f:ffff:ffff:ffff:ffff:ffff:ffff |
| 132 | fc76:830::/28 | fc76:83f:ffff:ffff:ffff:ffff:ffff:ffff |
| 133 | fc76:840::/28 | fc76:84f:ffff:ffff:ffff:ffff:ffff:ffff |
| 134 | fc76:850::/28 | fc76:85f:ffff:ffff:ffff:ffff:ffff:ffff |
| 135 | fc76:860::/28 | fc76:86f:ffff:ffff:ffff:ffff:ffff:ffff |
| 136 | fc76:870::/28 | fc76:87f:ffff:ffff:ffff:ffff:ffff:ffff |
| 137 | fc76:880::/28 | fc76:88f:ffff:ffff:ffff:ffff:ffff:ffff |
| 138 | fc76:890::/28 | fc76:89f:ffff:ffff:ffff:ffff:ffff:ffff |
| 139 | fc76:8a0::/28 | fc76:8af:ffff:ffff:ffff:ffff:ffff:ffff |
| 140 | fc76:8b0::/28 | fc76:8bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 141 | fc76:8c0::/28 | fc76:8cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 142 | fc76:8d0::/28 | fc76:8df:ffff:ffff:ffff:ffff:ffff:ffff |
| 143 | fc76:8e0::/28 | fc76:8ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 144 | fc76:8f0::/28 | fc76:8ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 145 | fc76:900::/28 | fc76:90f:ffff:ffff:ffff:ffff:ffff:ffff |
| 146 | fc76:910::/28 | fc76:91f:ffff:ffff:ffff:ffff:ffff:ffff |
| 147 | fc76:920::/28 | fc76:92f:ffff:ffff:ffff:ffff:ffff:ffff |
| 148 | fc76:930::/28 | fc76:93f:ffff:ffff:ffff:ffff:ffff:ffff |
| 149 | fc76:940::/28 | fc76:94f:ffff:ffff:ffff:ffff:ffff:ffff |
| 150 | fc76:950::/28 | fc76:95f:ffff:ffff:ffff:ffff:ffff:ffff |
| 151 | fc76:960::/28 | fc76:96f:ffff:ffff:ffff:ffff:ffff:ffff |
| 152 | fc76:970::/28 | fc76:97f:ffff:ffff:ffff:ffff:ffff:ffff |
| 153 | fc76:980::/28 | fc76:98f:ffff:ffff:ffff:ffff:ffff:ffff |
| 154 | fc76:990::/28 | fc76:99f:ffff:ffff:ffff:ffff:ffff:ffff |
| 155 | fc76:9a0::/28 | fc76:9af:ffff:ffff:ffff:ffff:ffff:ffff |
| 156 | fc76:9b0::/28 | fc76:9bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 157 | fc76:9c0::/28 | fc76:9cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 158 | fc76:9d0::/28 | fc76:9df:ffff:ffff:ffff:ffff:ffff:ffff |
| 159 | fc76:9e0::/28 | fc76:9ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 160 | fc76:9f0::/28 | fc76:9ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 161 | fc76:a00::/28 | fc76:a0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 162 | fc76:a10::/28 | fc76:a1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 163 | fc76:a20::/28 | fc76:a2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 164 | fc76:a30::/28 | fc76:a3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 165 | fc76:a40::/28 | fc76:a4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 166 | fc76:a50::/28 | fc76:a5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 167 | fc76:a60::/28 | fc76:a6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 168 | fc76:a70::/28 | fc76:a7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 169 | fc76:a80::/28 | fc76:a8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 170 | fc76:a90::/28 | fc76:a9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 171 | fc76:aa0::/28 | fc76:aaf:ffff:ffff:ffff:ffff:ffff:ffff |
| 172 | fc76:ab0::/28 | fc76:abf:ffff:ffff:ffff:ffff:ffff:ffff |
| 173 | fc76:ac0::/28 | fc76:acf:ffff:ffff:ffff:ffff:ffff:ffff |
| 174 | fc76:ad0::/28 | fc76:adf:ffff:ffff:ffff:ffff:ffff:ffff |
| 175 | fc76:ae0::/28 | fc76:aef:ffff:ffff:ffff:ffff:ffff:ffff |
| 176 | fc76:af0::/28 | fc76:aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 177 | fc76:b00::/28 | fc76:b0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 178 | fc76:b10::/28 | fc76:b1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 179 | fc76:b20::/28 | fc76:b2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 180 | fc76:b30::/28 | fc76:b3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 181 | fc76:b40::/28 | fc76:b4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 182 | fc76:b50::/28 | fc76:b5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 183 | fc76:b60::/28 | fc76:b6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 184 | fc76:b70::/28 | fc76:b7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 185 | fc76:b80::/28 | fc76:b8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 186 | fc76:b90::/28 | fc76:b9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 187 | fc76:ba0::/28 | fc76:baf:ffff:ffff:ffff:ffff:ffff:ffff |
| 188 | fc76:bb0::/28 | fc76:bbf:ffff:ffff:ffff:ffff:ffff:ffff |
| 189 | fc76:bc0::/28 | fc76:bcf:ffff:ffff:ffff:ffff:ffff:ffff |
| 190 | fc76:bd0::/28 | fc76:bdf:ffff:ffff:ffff:ffff:ffff:ffff |
| 191 | fc76:be0::/28 | fc76:bef:ffff:ffff:ffff:ffff:ffff:ffff |
| 192 | fc76:bf0::/28 | fc76:bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 193 | fc76:c00::/28 | fc76:c0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 194 | fc76:c10::/28 | fc76:c1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 195 | fc76:c20::/28 | fc76:c2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 196 | fc76:c30::/28 | fc76:c3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 197 | fc76:c40::/28 | fc76:c4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 198 | fc76:c50::/28 | fc76:c5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 199 | fc76:c60::/28 | fc76:c6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 200 | fc76:c70::/28 | fc76:c7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 201 | fc76:c80::/28 | fc76:c8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 202 | fc76:c90::/28 | fc76:c9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 203 | fc76:ca0::/28 | fc76:caf:ffff:ffff:ffff:ffff:ffff:ffff |
| 204 | fc76:cb0::/28 | fc76:cbf:ffff:ffff:ffff:ffff:ffff:ffff |
| 205 | fc76:cc0::/28 | fc76:ccf:ffff:ffff:ffff:ffff:ffff:ffff |
| 206 | fc76:cd0::/28 | fc76:cdf:ffff:ffff:ffff:ffff:ffff:ffff |
| 207 | fc76:ce0::/28 | fc76:cef:ffff:ffff:ffff:ffff:ffff:ffff |
| 208 | fc76:cf0::/28 | fc76:cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 209 | fc76:d00::/28 | fc76:d0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 210 | fc76:d10::/28 | fc76:d1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 211 | fc76:d20::/28 | fc76:d2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 212 | fc76:d30::/28 | fc76:d3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 213 | fc76:d40::/28 | fc76:d4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 214 | fc76:d50::/28 | fc76:d5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 215 | fc76:d60::/28 | fc76:d6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 216 | fc76:d70::/28 | fc76:d7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 217 | fc76:d80::/28 | fc76:d8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 218 | fc76:d90::/28 | fc76:d9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 219 | fc76:da0::/28 | fc76:daf:ffff:ffff:ffff:ffff:ffff:ffff |
| 220 | fc76:db0::/28 | fc76:dbf:ffff:ffff:ffff:ffff:ffff:ffff |
| 221 | fc76:dc0::/28 | fc76:dcf:ffff:ffff:ffff:ffff:ffff:ffff |
| 222 | fc76:dd0::/28 | fc76:ddf:ffff:ffff:ffff:ffff:ffff:ffff |
| 223 | fc76:de0::/28 | fc76:def:ffff:ffff:ffff:ffff:ffff:ffff |
| 224 | fc76:df0::/28 | fc76:dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 225 | fc76:e00::/28 | fc76:e0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 226 | fc76:e10::/28 | fc76:e1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 227 | fc76:e20::/28 | fc76:e2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 228 | fc76:e30::/28 | fc76:e3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 229 | fc76:e40::/28 | fc76:e4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 230 | fc76:e50::/28 | fc76:e5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 231 | fc76:e60::/28 | fc76:e6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 232 | fc76:e70::/28 | fc76:e7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 233 | fc76:e80::/28 | fc76:e8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 234 | fc76:e90::/28 | fc76:e9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 235 | fc76:ea0::/28 | fc76:eaf:ffff:ffff:ffff:ffff:ffff:ffff |
| 236 | fc76:eb0::/28 | fc76:ebf:ffff:ffff:ffff:ffff:ffff:ffff |
| 237 | fc76:ec0::/28 | fc76:ecf:ffff:ffff:ffff:ffff:ffff:ffff |
| 238 | fc76:ed0::/28 | fc76:edf:ffff:ffff:ffff:ffff:ffff:ffff |
| 239 | fc76:ee0::/28 | fc76:eef:ffff:ffff:ffff:ffff:ffff:ffff |
| 240 | fc76:ef0::/28 | fc76:eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 241 | fc76:f00::/28 | fc76:f0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 242 | fc76:f10::/28 | fc76:f1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 243 | fc76:f20::/28 | fc76:f2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 244 | fc76:f30::/28 | fc76:f3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 245 | fc76:f40::/28 | fc76:f4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 246 | fc76:f50::/28 | fc76:f5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 247 | fc76:f60::/28 | fc76:f6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 248 | fc76:f70::/28 | fc76:f7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 249 | fc76:f80::/28 | fc76:f8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 250 | fc76:f90::/28 | fc76:f9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 251 | fc76:fa0::/28 | fc76:faf:ffff:ffff:ffff:ffff:ffff:ffff |
| 252 | fc76:fb0::/28 | fc76:fbf:ffff:ffff:ffff:ffff:ffff:ffff |
| 253 | fc76:fc0::/28 | fc76:fcf:ffff:ffff:ffff:ffff:ffff:ffff |
| 254 | fc76:fd0::/28 | fc76:fdf:ffff:ffff:ffff:ffff:ffff:ffff |
| 255 | fc76:fe0::/28 | fc76:fef:ffff:ffff:ffff:ffff:ffff:ffff |
| 256 | fc76:ff0::/28 | fc76:fff:ffff:ffff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |